package com.tmax.openframe.variable.group;

import ch.obermuhlner.math.big.BigDecimalMath;
import java.math.*;
import java.util.*;
import lombok.*;
import org.apache.commons.lang3.StringUtils;

/** 
 * <p>This source code was generated by COBOL to JAVA migrator</p>
 */
public @AllArgsConstructor @NoArgsConstructor @Builder(builderClassName = "builder") class OIVPINSR_OIVPM04O {
    public @Getter @Builder.Default String FILLER12 = StringUtils.repeat(' ',
            12);
    public @Getter @Builder.Default String FILLER13 = StringUtils
            .repeat(' ', 3);
    public @Getter @Builder.Default String DATEO = StringUtils.repeat(' ', 8);
    public @Getter @Builder.Default String FILLER14 = StringUtils
            .repeat(' ', 3);
    public @Getter @Builder.Default String TERMO = StringUtils.repeat(' ', 4);
    public @Getter @Builder.Default String FILLER15 = StringUtils
            .repeat(' ', 3);
    public @Getter @Builder.Default String TIMEO = StringUtils.repeat(' ', 8);
    public @Getter @Builder.Default String FILLER16 = StringUtils
            .repeat(' ', 3);
    public @Getter @Builder.Default String IDENO = StringUtils.repeat(' ', 8);
    public @Getter @Builder.Default String FILLER17 = StringUtils
            .repeat(' ', 3);
    public @Getter @Builder.Default String NAMEO = StringUtils.repeat(' ', 40);
    public @Getter @Builder.Default String FILLER18 = StringUtils
            .repeat(' ', 3);
    public @Getter @Builder.Default String DEPTO = StringUtils.repeat(' ', 40);
    public @Getter @Builder.Default String FILLER19 = StringUtils
            .repeat(' ', 3);
    public @Getter @Builder.Default String PHONO = StringUtils.repeat(' ', 40);
    public @Getter @Builder.Default String FILLER20 = StringUtils
            .repeat(' ', 3);
    public @Getter @Builder.Default String EMALO = StringUtils.repeat(' ', 40);
    public @Getter @Builder.Default String FILLER21 = StringUtils
            .repeat(' ', 3);
    public @Getter @Builder.Default String ADDRO = StringUtils.repeat(' ', 40);
    public @Getter @Builder.Default String FILLER22 = StringUtils
            .repeat(' ', 3);
    public @Getter @Builder.Default String MSGO = StringUtils.repeat(' ', 76);

    @Override
    public String toString() {
        return FILLER12 + FILLER13 + getDATEO() + FILLER14 + getTERMO()
                + FILLER15 + getTIMEO() + FILLER16 + getIDENO() + FILLER17
                + getNAMEO() + FILLER18 + getDEPTO() + FILLER19 + getPHONO()
                + FILLER20 + getEMALO() + FILLER21 + getADDRO() + FILLER22
                + getMSGO();
    }
}
